Bug 1829070 - Review Request: multiwatch - Forks and watches multiple instances of a program in the same context
Summary: Review Request: multiwatch - Forks and watches multiple instances of a progra...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Benjamin Lefoul
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-28 20:15 UTC by Xavier Bachelot
Modified: 2020-05-29 02:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-22 03:19:11 UTC
Type: ---
lef: fedora-review+


Attachments (Terms of Use)

Description Xavier Bachelot 2020-04-28 20:15:49 UTC
Spec URL: https://www.bachelot.org/fedora/SPECS/multiwatch.spec
SRPM URL: https://www.bachelot.org/fedora/SRPMS/multiwatch-1.0.0-2.fc30.src.rpm

Description:
Multiwatch forks multiple instance of one application and keeps them running.
It is made to be used with spawn-fcgi, so all forks share the same fastcgi
socket (no webserver restart needed if you increase/decrease the number of
forks), and it is easier than to setup multiple daemontool supervised
instances.

Fedora Account System Username: xavierb

Comment 1 Benjamin Lefoul 2020-05-06 07:44:49 UTC
This is a trivial package. All relevant MUSTs pass (after slightly rewriting the description).
Note: It was also successfully tested in f31 and epel8 in the sympa solution proposed here: https://github.com/sympa-community/sympa/issues/799



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[-]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Requires correct, justified where necessary.
[!]: Spec file is legible and written in American English: "it is easier than to setup" -> "it is easier than setting up". See also rpmlint below.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: multiwatch-1.0.0-2.fc33.x86_64.rpm
          multiwatch-debuginfo-1.0.0-2.fc33.x86_64.rpm
          multiwatch-debugsource-1.0.0-2.fc33.x86_64.rpm
          multiwatch-1.0.0-2.fc33.src.rpm
multiwatch.x86_64: W: spelling-error %description -l en_US fcgi -> GIF
multiwatch.x86_64: W: spelling-error %description -l en_US fastcgi -> fascist
multiwatch.x86_64: W: spelling-error %description -l en_US webserver -> web server, web-server, observer
multiwatch.x86_64: W: spelling-error %description -l en_US daemontool -> daemon tool, daemon-tool, daemonic
multiwatch.src: W: spelling-error %description -l en_US fcgi -> GIF
multiwatch.src: W: spelling-error %description -l en_US fastcgi -> fascist
multiwatch.src: W: spelling-error %description -l en_US webserver -> web server, web-server, observer
multiwatch.src: W: spelling-error %description -l en_US daemontool -> daemon tool, daemon-tool, daemonic
4 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (debuginfo)
-------------------
Checking: multiwatch-debuginfo-1.0.0-2.fc33.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
multiwatch-debuginfo.x86_64: W: invalid-url URL: https://redmine.lighttpd.net/projects/multiwatch/wiki <urlopen error [Errno -2] Name or service not known>
multiwatch.x86_64: W: spelling-error %description -l en_US webserver -> web server, web-server, observer
multiwatch.x86_64: W: spelling-error %description -l en_US daemontool -> daemon tool, daemon-tool, daemonic
multiwatch.x86_64: W: invalid-url URL: https://redmine.lighttpd.net/projects/multiwatch/wiki <urlopen error [Errno -2] Name or service not known>
multiwatch-debugsource.x86_64: W: invalid-url URL: https://redmine.lighttpd.net/projects/multiwatch/wiki <urlopen error [Errno -2] Name or service not known>
3 packages and 0 specfiles checked; 0 errors, 7 warnings.



Source checksums
----------------
https://download.lighttpd.net/multiwatch/releases-1.x/multiwatch-1.0.0.tar.xz :
  CHECKSUM(SHA256) this package     : 376033a2f4e6cf96b89130c12196e1c20ffe99300347593bec233aa472d74891
  CHECKSUM(SHA256) upstream package : 376033a2f4e6cf96b89130c12196e1c20ffe99300347593bec233aa472d74891


Requires
--------
multiwatch (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libev.so.4()(64bit)
    libglib-2.0.so.0()(64bit)
    rtld(GNU_HASH)

multiwatch-debuginfo (rpmlib, GLIBC filtered):

multiwatch-debugsource (rpmlib, GLIBC filtered):



Provides
--------
multiwatch:
    multiwatch
    multiwatch(x86-64)

multiwatch-debuginfo:
    debuginfo(build-id)
    multiwatch-debuginfo
    multiwatch-debuginfo(x86-64)

multiwatch-debugsource:
    multiwatch-debugsource
    multiwatch-debugsource(x86-64)



Generated by fedora-review 0.7.5 (5fa5b7e) last change: 2020-02-16
Command line :/usr/bin/fedora-review -b 1829070
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Generic, C/C++
Disabled plugins: R, Ocaml, Python, Perl, Java, fonts, Haskell, SugarActivity, PHP
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 2 Xavier Bachelot 2020-05-13 13:07:14 UTC
I've updated %%description for the grammar fix you noticed and 'webserver' rpmlint complains about. Not sure what to do if anything with 'daemontool'.
I'm unsure why you marked %check has failed, there's no test in multiwatch afaict ?

Comment 3 Benjamin Lefoul 2020-05-13 14:14:23 UTC
Thanks!

%check was marked as failed because it is not present, which is fine (not a MUST). The statement "%check is present and all tests pass" is technically false, that doesn't mean there are tests that fail, it just means there is no test at all.

Comment 4 Gwyn Ciesla 2020-05-13 15:16:31 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/multiwatch

Comment 5 Fedora Update System 2020-05-13 15:52:48 UTC
FEDORA-EPEL-2020-cfef250ad5 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-cfef250ad5

Comment 6 Fedora Update System 2020-05-13 15:52:48 UTC
FEDORA-2020-fb23acf5d0 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-fb23acf5d0

Comment 7 Fedora Update System 2020-05-13 15:52:49 UTC
FEDORA-2020-6dc849e66d has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-6dc849e66d

Comment 8 Fedora Update System 2020-05-13 15:52:50 UTC
FEDORA-2020-6aa8872251 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-6aa8872251

Comment 9 Fedora Update System 2020-05-14 04:31:38 UTC
FEDORA-2020-6aa8872251 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-6aa8872251 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-6aa8872251

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-05-14 06:07:13 UTC
FEDORA-2020-6dc849e66d has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-6dc849e66d \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-6dc849e66d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-05-14 07:25:23 UTC
FEDORA-2020-fb23acf5d0 has been pushed to the Fedora 30 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-fb23acf5d0 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-fb23acf5d0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-05-14 09:32:28 UTC
FEDORA-EPEL-2020-7f7daa45d7 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-7f7daa45d7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2020-05-14 09:59:36 UTC
FEDORA-EPEL-2020-cfef250ad5 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-cfef250ad5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2020-05-22 03:19:11 UTC
FEDORA-2020-6dc849e66d has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2020-05-22 04:21:42 UTC
FEDORA-2020-fb23acf5d0 has been pushed to the Fedora 30 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2020-05-22 05:30:35 UTC
FEDORA-2020-6aa8872251 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2020-05-29 00:57:14 UTC
FEDORA-EPEL-2020-7f7daa45d7 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2020-05-29 02:56:15 UTC
FEDORA-EPEL-2020-cfef250ad5 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.